<?


//print_r($_REQUEST);
$sotexto=$_REQUEST['sotexto'];
$r=$_REQUEST['r'];
$sel=$_REQUEST['sel'];

$max_sel=sizeof($sel);

include_once ("bo/config/server.inc.php");
if (!@$db){
	set_include_path(get_include_path() . PATH_SEPARATOR . "./bo");
	include_once("db/dbMini.class.php");
	$db=new dbMini;
}

if ($max_sel){

	$sql="select * from revista_pagina where idCat=$r ";
	if ($max_sel) $sql.=" and (";
		
	for ($i=0; $i<$max_sel; $i++){
		if ($i) $sql.=" or ";
		$temp=$sel[$i];
		$sql.=" num_pagina=$temp";
	}
	if ($max_sel) $sql.=" ) ";
	$sql.=" order by num_pagina";
	$revista_paginas=$db->get($sql);
	$tam_revista_paginas=sizeof($revista_paginas);
	//print $sql;
}
?>
<?php for ($i=0; $i<$tam_revista_paginas; $i++){
	if ($sotexto){
		print strip_tags($revista_paginas[$i]['texto'], "<br><p><h1><h2><h3><h4><h5><h6>");
	} else {
		if ($revista_paginas[$i]['background']) {
			$style="style=\"background: url('".$revista_paginas[$i]['background']."') no-repeat\"";
		} else {
			$style="";
		} ?>
		<div class="pag" id="pag<?=$revista_paginas[$i]['num_pagina']?>" <?=$style?>>	
			<?=$revista_paginas[$i]['texto']?>
		</div>
	<?}?>

<?php } ?>